# Call Kit
>
> **Call Kit** is a prebuilt feature-rich call component, which enables you to build **one-on-one and group voice/video calls** into your app with only a few lines of code.
> 
> We also support online invitation and offline invitation.
> 
> And it includes the business logic with the UI, you can add or remove features accordingly by customizing UI components.
> 
> <div style="position: relative; width: 100%; 
>   padding-top: calc(100% * 720 / 1280); 
>   border: 2px black solid;">
>   <iframe 
>     src="https://www.youtube.com/embed/mEg32GyIqgI" 
>     title="ZEGOCLOUD Video Call Feature Intro"
>     style="position: absolute; width: 100%; height: 100%; top: 0;"
>     frameborder="0" 
>     allow="accelerometer; 
>     autoplay; 
>     clipboard-write; 
>     encrypted-media; gyroscope; 
>     picture-in-picture; 
>     web-share" 
>     allowfullscreen>
>   </iframe>
> </div>
> 

---

## When do you need the Call Kit

- Build apps faster and easier
  - When you want to prototype 1-on-1 or group voice/video calls ASAP
  - Consider speed or efficiency as the first priority
  - Call Kit allows you to integrate in minutes
- Customize UI and features as needed
  - When you want to customize in-call features based on actual business needs
  - Less time wasted developing basic features
  - Call Kit includes the business logic along with the UI, allows you to customize features accordingly 

## Features

- Ready-to-use 1-on-1/group calls
- Call invitation/Offline call invitation
- Customizable UI styles
- Real-time sound waves display
- Device management
- Switch views during a 1-on-1 call
- Extendable menu bar
- Participant list
- Custom call ringtones
- Screen sharing

## Documentation

- [Getting started](topics/Get%20started-topic.html)
- [API](topics/APIs-topic.html)
- [Event](topics/Events-topic.html)
- [Config](topics/Configs-topic.html)
  
## Migration Guides
- [Migrating to 4.0.0](topics/Migration:%20from%203.x%20to%204.0-topic.html).

## More
[Sample Code](https://github.com/ZEGOCLOUD/zego_uikit_prebuilt_call_example_flutter)


[Please visit our official website for more details.](https://docs.zegocloud.com/article/14746)